/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/

#define U_FILE_LIB

#include <stdio.h>
#include <errno.h>
#include	"machine/include.h"
#include	"u_file.h"

int
u_open(char * filename,int flags,int mode)
{
	return open(filename,flags,mode);
}


int
u_close(int fd)
{
	return close(fd);
}

int
u_write(int fd,void * data,int len)
{
	return write(fd,data,len);
}

int
u_read(int fd,void * data,int len)
{
	return read(fd,data,len);
}

int
u_lseek(int fd,int ofs,int where)
{
	return lseek(fd,ofs,where);
}

int
u_open64(char * filename,int flags,int mode)
{
	return open64(filename,flags,mode);
}

INTEGER64
u_lseek64(int fd,INTEGER64 ofs,int where)
{
	return lseek64(fd,ofs,where);
}

